#include <iostream>
 
int main() {
 
int a, b, x, y;
std::cin >> a >> b >> x >> y;
 
int razlika_prvog_tima = a - x;
int razlika_drugog_tima = b - y;
 
if ( razlika_prvog_tima > 0 and razlika_drugog_tima > 0 ) 
	std::cout << "?" << '\n';
 
else if ( razlika_prvog_tima > 0 ) 
	std::cout << "prvi" << '\n';
 
else if ( razlika_drugog_tima > 0 ) 
	std::cout << "drugi" << '\n';
 
else 
	std::cout << "nijedan" << '\n';
 
return 0;
}